> For the complete documentation index, see [llms.txt](https://docs.bless.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bless.net/blessnet-api/account-abstraction-platforms-platform-accounts.md).

# /account-abstraction/platforms/:platform/accounts

## PUT

<mark style="color:green;">`PUT`</mark>` ``/account-abstraction/platforms/:platform/accounts`

The `/account-abstraction/platforms/:platform/accounts` endpoint allows to create a platform linked smart account for its users, e.g. a smart account used through telegram.\
It is designed to allow projects to create accounts on behalf of their users

{% hint style="info" %}
You need to link an abstract account to your api key and fund it to use this endpoint.\
You can check the status of your abstract account through [/project](/blessnet-api/project.md).

Please reach out to the Blessnet team to get setup.
{% endhint %}

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Path Variables**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>:platform</code></td><td>Yes</td><td></td><td>The platform, e.g. telegram.</td></tr><tr><td><code>:id</code></td><td>Yes</td><td></td><td>The user Id for that platform.</td></tr></tbody></table>

### **Request Body**

* required: true
* content: application/json:&#x20;
* schema:&#x20;

  * `type: object`&#x20;

  ```postman_json
  {
    "userIds": <userIds>[]
  }
  ```
* description: An array of valid operations.

### **Response Body**

| Name       | Type    | Description                         |
| ---------- | ------- | ----------------------------------- |
| `accounts` | `array` | List of accounts created or skipped |

### **Example Request**

```
POST /account-abstraction/platforms/telegram/accounts HTTP/1.1
Host: api.bless.net
x-api-key: <>
Content-Type: application/json
Content-Length: 763

{
    "userIds": ["1234", "134567"]
}
```

### **Response**

{% tabs %}
{% tab title="202" %}

```json
{
    "message": "Accounts creation queued successfully",
    "newAccounts": 1,
    "existingAccounts": 1,
    "accounts": [
        {
            "account": "0x7dD3D4b1F3d374991d9F1DCA99d4AB625C2c881c",
            "userId": "1234",
            "message": "Account already exists"
        },
        {
            "account": "0x4eEe2CeCaE6c923a8C3a1457C7acd6D931126602",
            "userId": "134567",
            "message": "Account creation queued",
            "deliveryId": "67dad4181eb52d4d1d383ea9"
        }
    ]
}
```

{% endtab %}

{% tab title="400" %}

```
{
    message: "Insufficient blessed account balance" | "You must link a blessed account to your API key to use this endpoint"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bless.net/blessnet-api/account-abstraction-platforms-platform-accounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
